$(document).ready(function() {
	var themes = ["3den","Soliah","af-magic","afowler","alanpeabody","apple","arrow","aussiegeek","awesomepanda","bira","blinks","candy","clean","cloud","crunch","cypher","dallas","darkblood","daveverwer","dieter","dogenpunk","dpoggi","dst","dstufft","duellj","eastwood","edvardm","evan","example","fino-time","fino","fishy","flazz","fletcherm","fox","frisk","funky","fwalch","gallifrey","gallois","garyblessington","gentoo","geoffgarside","gnzh","gozilla","humza","imajes","jbergantine","jispwoso","jnrowe","jonathan","josh","jreese","jtriley","juanghurtado","kardan","kennethreitz","kolo","kphoen","lambda","lukerandall","macovsky-ruby","macovsky","maran","mgutz","mh","mikeh","miloshadzic","minimal","mortalscumbag","mrtazz","murilasso","muse","nanotech","nebirhos","nicoulaj","norm","obraun","philips","pmcgee","pygmalion","re5et","rgm","risto","rixius","rkj-repos","rkj","robbyrussell","sammy","simple","skaro","smt","sorin","sporty_256","steeef","sunaku","sunrise","superjarin","suvash","takashiyoshida","terminalparty","theunraveler","tjkirch","tonotdo","trapd00r","wedisagree","wezm+","wezm","wuffers","xiong-chiamiov-plus","xiong-chiamiov","zhann"];
	var $dropdown = $('#dropdown-list ul');
	$.each(themes, function(idx, theme) {
		$dropdown.append($('<li>', {html: "<a class='choose-theme' href='#'>" + theme + "</a>"}));
	});
	$('a.choose-theme').on('click', function() {
		var item = $(this).text().trim();
		if ($.inArray(item, themes) > -1) {
			$('img.preview').attr('src', 'screenshots/' + item + '.png');
			$('.search-query').val(item);
		}
	})
	$('.search-query').typeahead({
		source: themes
	});
	$('.search-query').change(function () {
		var item = $(this).val().trim();
		if ($.inArray(item, themes) > -1) {
			$('img.preview').attr('src', 'screenshots/' + item + '.png');
		}
	})
	
	$('body').bind('keydown', 'j', function(){
		var idx = parseInt($('#idx').data('idx'));
		if (idx >= themes.length - 1) {
			$('#idx').data('idx', themes.length - 1);
			return false;
		}
		idx++;
		theme = themes[idx];
		$('img.preview').attr('src', 'screenshots/' + theme + '.png');
		$('.search-query').val(theme);		
		$('#idx').data('idx', idx);
	});	
	
	$('body').bind('keydown', 'k', function(){
		var idx = parseInt($('#idx').data('idx'));
		if (idx <= 0) {
			$('#idx').data('idx', 0);
			return false;
		}
		idx--;
		theme = themes[idx];
		$('img.preview').attr('src', 'screenshots/' + theme + '.png');
		$('.search-query').val(theme);
		$('#idx').data('idx', idx);
	});
});